package com.covas.Entity;

import java.time.LocalDateTime;
import java.util.Collection;

import com.covas.Json.Organisateurs;

import io.quarkus.mongodb.panache.PanacheMongoEntity;
import io.quarkus.mongodb.panache.common.MongoEntity;

@MongoEntity(collection="event")
public class EventEntity extends PanacheMongoEntity {

    public String name;

    public Short status;

    public String address;

    public Organisateurs organisateurs;

    public Collection<String> participants;

    public Collection<String> interesses;

    public LocalDateTime created_at;
    public LocalDateTime updated_at;
    public LocalDateTime deleted_at;
}
